OpenNMS API 1.2.9

## org.opennms.core.concurrent
Interface RunnableConsumerThreadPool.RunnableCompletionListener

Enclosing interface:
  RunnableConsumerThreadPool

public static interface RunnableConsumerThreadPool.RunnableCompletionListener

This interface is used to define a listener for the thread pool that is notified when an enqueued runnable completes. The actually completed runnable is passed to the listener.

Author:
  Brian Weaver , OpenNMS

Method Summary
`void` `onRunnableCompletion(java.lang.Runnable r)` This method is invoked when a `java.lang.RunnableRunnable` complete.

Method Detail

### onRunnableCompletion

    public void onRunnableCompletion(java.lang.Runnable r)

  This method is invoked when a `java.lang.RunnableRunnable` complete.

  Parameters:
    `r` - The completed Runnable.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.